import java.util.Random;

/**
 * Steinfresser
 *
 * @author Johannes Neumeyer
 * @version 1.0
 */
public class Steinfresser extends Figur
{
    /**
     * Legt die Form des Steinfressers fest
     */
    public Steinfresser()
    {
        super();
        SpielfigurFestlegen();
    }
    
    /**
     * Stellt den Steinfresser auf seine Startposition
     */
    public void StartpositionEinnehmen()
    {
        Random zufallsgenerator; 
        zufallsgenerator = new Random();
        PositionSetzen(zufallsgenerator.nextInt(650) + 100, zufallsgenerator.nextInt(450) + 50);
    }
    
    /**
     * Bewegt den Steinfresser
     */
    public void Bewegen()
    {
        Gehen(25);
        Drehen(18);
    }

    /**
     * Beschreibt die Form des Steinfressers
     */
    private void SpielfigurFestlegen()
    {
        FigurteilFestlegenEllipse(-50, -50, 100, 100, "blau");
        FigurteilFestlegenEllipse(-20, 10, 40, 20, "rot");
        FigurteilFestlegenEllipse(-20, -20, 5, 5, "gelb");
        FigurteilFestlegenEllipse(20, -20, 5, 5, "gelb");
    }
}
